Logo del sitio

Así es el fallo de seguridad más grande de la década, que abre la puerta de tu móvil a cualquier ciberdelincuente

Ha recibido el código de vulnerabilidad CVE-2021-44228.
Ha recibido el código de vulnerabilidad CVE-2021-44228.
20BITS

Por si no lo sabías, las aplicaciones y programas informáticos suelen emplear librerías de logs para guardar el historial de transacciones, intercambios de paquetes y actualizaciones con el fin de detectar fallos o amenazas a la hora de solucionar un problema.

Desafortunadamente, la propia librería de logs puede ser una entrada para que los ciberdelincuentes secuestren los dispositivos. ‘Log4j’, una librería de código abierto desarrollada por Apache Foundation y construida sobre el lenguaje Java, ha sufrido una de las vulnerabilidades más críticas de los últimos diez años.

Este exploit ha sido bautizado como ‘Log4jShell’ y es una vulnerabilidad de día cero, esto quiere decir que cuando se detectó no contaba con parches para fortalecer la seguridad del agujero.

Se trata de un problema grave debido al uso generalizado de Java (lenguaje de programación) y de este paquete Log4j, debido a que hay una enorme cantidad de software Java que está conectado a Internet y en los sistemas ‘back-end’ (diseño de lógica y soluciones para que las acciones en una página web se ejecuten de manera correcta).

Log4j está presente en millones de servidores de Internet que deben ser parcheados para evitar que los ciberdelincuentes instalen malware en los dispositivos. Para activar esta vulnerabilidad, los ‘malos’ deben conseguir que el software guarde una cadena especial de caracteres en los logs.

Marcus Hutchins, experto en seguridad, ha afirmado en su cuenta de Twitter que “esta vulnerabilidad log4j (CVE-2021-44228) es extremadamente peligrosa. Millones de aplicaciones usan Log4j para el registro, y todo lo que el atacante necesita hacer es que la aplicación registre una cadena especial (de caracteres). Hasta ahora, se ha confirmado que iCloud, Steam y Minecraft son vulnerables”.

La aparición de Log4jShell se dio a conocer el 24 de noviembre gracias al equipo de ciberseguridad de Alibaba Cloud, no obstante, las primeras demostraciones sobre cómo los ciberdelincuentes podían aprovechar este agujero no llegaron hasta la semana pasada.

Estos son algunos de los servidores afectados

La versión Java de Minecraft se ha visto perjudicada, por consiguiente, se han lanzado un parcho para que los usuarios actualicen el juego lo antes posible. Otros servidores de compañías como Amazon, Twitter y Cloudflare podrían haberse visto afectados.

Grey Noise, la compañía de seguridad, ha asegurado en su perfil de Twitter que se han detectado varios servidores que están buscando máquinas vulnerables al exploit en Internet.

Es bastante difícil conocer cuántos servidores, dispositivos, productos o servicios emplean Log4j podrían verse afectados por esta vulnerabilidad. El diario Business Insider afirma que los investigadores de Check Point han desvelado que se se han hecho más de 100.000 intentos de aprovechar este agujero de seguridad.

Así puedes detectar la vulnerabilidad y corregirla

En GitHub se pueden encontrar los pasos necesarios para ejecutar los comandos y detectar si la vulnerabilidad está presente o no gracias al escáner basado en Python. 

En el caso de que tu sistema esté afectado, puedes actualizar Log4j a la versión 2.15.0 para corregir el problema a través del siguiente enlace que te dirige a la web oficial de Apache.

Apúntate a nuestra newsletter y recibe en tu correo las últimas noticias sobre tecnología.

Mostrar comentarios

Códigos Descuento